Statistics (images Maven Webapp 1.2.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.images.model
Class Statistics

    java.lang.Object
      org.gcube.application.aquamaps.images.model.Statistics

    public class Statistics

extends Object

Nested Class Summary
`class` | `Statistics.Configuration`

Constructor Summary
`Statistics()`
`Statistics(long speciesCount, long pictureCount, long nativeCount, long native2050Count, long suitableCount, long suitable2050Count, long lastUpdateTime)`

Method Summary
`Statistics.Configuration` | `getConfiguration()`
`long` | `getLastUpdateTime()`
`long` | `getNative2050Count()`
`long` | `getNativeCount()`
`long` | `getPictureCount()`
`long` | `getSpeciesCount()`
`long` | `getSuitable2050Count()`
`long` | `getSuitableCount()`
`void` | `setConfiguration(Statistics.Configuration configuration)`
`void` | `setLastUpdateTime(long lastUpdateTime)`
`void` | `setNative2050Count(long native2050Count)`
`void` | `setNativeCount(long nativeCount)`
`void` | `setPictureCount(long pictureCount)`
`void` | `setSpeciesCount(long speciesCount)`
`void` | `setSuitable2050Count(long suitable2050Count)`
`void` | `setSuitableCount(long suitableCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statistics

    public Statistics()

### Statistics

    public Statistics(long speciesCount,
                      long pictureCount,
                      long nativeCount,
                      long native2050Count,
                      long suitableCount,
                      long suitable2050Count,
                      long lastUpdateTime)

Method Detail

### getSpeciesCount

    public long getSpeciesCount()

### setSpeciesCount

    public void setSpeciesCount(long speciesCount)

### getPictureCount

    public long getPictureCount()

### setPictureCount

    public void setPictureCount(long pictureCount)

### getNativeCount

    public long getNativeCount()

### setNativeCount

    public void setNativeCount(long nativeCount)

### getNative2050Count

    public long getNative2050Count()

### setNative2050Count

    public void setNative2050Count(long native2050Count)

### getSuitableCount

    public long getSuitableCount()

### setSuitableCount

    public void setSuitableCount(long suitableCount)

### getSuitable2050Count

    public long getSuitable2050Count()

### setSuitable2050Count

    public void setSuitable2050Count(long suitable2050Count)

### getLastUpdateTime

    public long getLastUpdateTime()

### setLastUpdateTime

    public void setLastUpdateTime(long lastUpdateTime)

### getConfiguration

    public Statistics.Configuration getConfiguration()

### setConfiguration

    public void setConfiguration(Statistics.Configuration configuration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.